package application;

import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.layout.Border;
import javafx.scene.layout.BorderStroke;
import javafx.scene.layout.BorderStrokeStyle;
import javafx.scene.layout.BorderWidths;
import javafx.scene.layout.CornerRadii;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Priority;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

public class Main extends Application {

    @Override
    public void start(Stage primaryStage) {
	try {
	    Triangle model = new Triangle();
	    ButtonPane buttonPane = new ButtonPane(model);
	    NumericPane numericPane = new NumericPane(model);
	    GraphicPane graphicPane = new GraphicPane(model);

	    Border border = new Border(
		    new BorderStroke(Color.NAVY, BorderStrokeStyle.SOLID,
			    CornerRadii.EMPTY, new BorderWidths(5)));

	    buttonPane.setMinSize(300, 200);
	    buttonPane.setMaxSize(300, 200);
	    buttonPane.setBorder(border);
	    numericPane.setMinSize(200, 200);
	    numericPane.setMaxSize(200, 200);
	    numericPane.setBorder(border);
	    graphicPane.setMinSize(200, 200);
	    graphicPane.setBorder(border);

	    HBox root = new HBox();
	    root.setPadding(new Insets(25, 25, 25, 25));

	    buttonPane.setAlignment(Pos.CENTER);
	    numericPane.setAlignment(Pos.CENTER);

	    HBox.setHgrow(graphicPane, Priority.ALWAYS);

	    root.getChildren().addAll(buttonPane, graphicPane, numericPane);

	    Scene scene = new Scene(root);

	    primaryStage.setScene(scene);
	    primaryStage.show();
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }

    public static void main(String[] args) {
	launch(args);
    }
}
